%define     codemirror_ver  5.65.12
%define     gittag          d8000f256a516aa958d50bfcc19605dc296fbeb2
%define     gitdate         20210826
Name:           notepadqq
Version:        2.0.0
Release:        %mkrel %{?%gittag:0.git%{gitdate}.}1
Summary:        A Linux clone of Notepad++
License:        GPLv3
Group:          Editors
URL:            http://notepadqq.altervista.org/wp/
Source0:        https://github.com/notepadqq/notepadqq/archive/%{gittag}.tar.gz
Source1:        https://codemirror.net/5/codemirror.zip#/codemirror-%{codemirror_ver}.zip
Patch0:         notepadqq-2.0.0-mga-skip-uneeded-launcher-script.patch
Patch2:         notepadqq-fix-codemirror-make.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngineCore)
BuildRequires:  pkgconfig(Qt5WebSockets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  cmake(uchardet)
BuildRequires:  qttools5

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

It helps developers by providing all you can expect from a general
purpose text editor, such as syntax highlighting for more than 100
different languages, code folding, color schemes, file monitoring,
multiple selection and much more.

%prep
%setup -q -a1 -n notepadqq-%{gittag}
%autopatch -p1

# (tpg) update CodeMirror (upstream provides release 5.48)
rm -rf src/editor/libs/codemirror/*
mv -f codemirror-%{codemirror_ver}/* src/editor/libs/codemirror

%build
%qmake_qt5 PREFIX=%{_prefix} LRELEASE=%{_qt5_bindir}/lrelease 

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CONTRIBUTING.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml


%changelog
* Fri Mar 17 2023 papoteur <papoteur> 2.0.0-1.mga9
+ Revision: 1949568
- new 2.0.0
- no more use of QtWebkit
- update Codemirror to 5.65.12
- use the latest git commit

* Tue Apr 05 2022 umeabot <umeabot> 1.4.8-7.mga9
+ Revision: 1845131
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 dglent <dglent> 1.4.8-6.mga9
+ Revision: 1742671
- Fix default language settings weren't saved

* Thu Dec 17 2020 umeabot <umeabot> 1.4.8-5.mga8
+ Revision: 1659139
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.4.8-4.mga8
+ Revision: 1524837
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 1.4.8-3.mga7
+ Revision: 1383546
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.8-2.mga7
+ Revision: 1299786
- Mageia 7 Mass Rebuild

* Sun May 20 2018 daviddavid <daviddavid> 1.4.8-1.mga7
+ Revision: 1230811
- new version: 1.4.8

* Fri May 11 2018 daviddavid <daviddavid> 1.4.4-1.mga7
+ Revision: 1228253
- new version: 1.4.4
- new codemirror version: 5.36.1
- rename end rebase mga-skip-uneeded-launcher-script patch

* Sun Feb 12 2017 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 1085849
- new version: 1.0.1
- rename end rebase mga-skip-uneeded-launcher-script patch
- remove merged upstream mga-add-French-translation patch

* Sun Oct 02 2016 daviddavid <daviddavid> 0.53.0-2.mga6
+ Revision: 1058152
- embed all translations into the binary (like on master branch)
- update French translation

* Sat Oct 01 2016 akien <akien> 0.53.0-1.mga6
+ Revision: 1057988
- Fix bogus translation lookup
+ daviddavid <daviddavid>
- new version: 0.53.0
- new codemirror version: 5.18.2
- add French translation

* Tue Mar 08 2016 akien <akien> 0.51.0-1.mga6
+ Revision: 987360
- import notepadqq, loosely based on an OpenMandriva spec file

